package modules;

import javax.swing.SwingUtilities;
import gui.*;

public class GUIModule implements Module {
        
        class GUIRunnable implements Runnable {
                
                public Thread thisThread = null;
            
                public void run() {
                        AppWindow appWindow = new AppWindow();
                        this.thisThread = appWindow.thisThread();
                        appWindow.setVisible(true);
                }
        }
    
        @Override
        public synchronized void run() {
                try {
                        GUIRunnable guiRunnable = new GUIRunnable();
                        SwingUtilities.invokeAndWait(guiRunnable);
                        
                        while (guiRunnable.thisThread == null);
                        guiRunnable.thisThread.join();
                } catch (Exception e) {
                        //
                }
        }

        public void exit() {
                //
        }
}
