package terminalui;

public class ExitCommand extends Command{

	@Override
	public CmdReturn execute(String[] args) {
		String[] supportedFlags = {"help"};
		if (!parseArgs(args, supportedFlags)) return CmdReturn.INVALID_SYNTAX;
		
		if (flags.contains("help")) return displayHelp();
		
		return CmdReturn.EXIT;
	}

	@Override
	public void help() {
		TEXT.out("    Closes TazUP client.\n");
	}

}
