package types;

import auxiliary.Convert;

public abstract class ID {

	protected int value;
	
	public int value() {
		return value;
	}
	
	public byte[] getBytes() {
		return Convert.intToBytes(value);
	}
	
	public String toString() {
		return "" + value;
	}
	@Override
	public boolean equals(Object obj) {
		if(obj instanceof ID){
			return (this.value == ((ID)obj).value);
		}
		return false;
	}

	@Override
	public int hashCode() {
		return this.value;
	}
	
}
