package types;

import auxiliary.Convert;

public class PeerID extends ID {
	
	public PeerID(int value){
		this.value = value;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (! (obj instanceof PeerID)) return false;
		PeerID pid = (PeerID) obj;
		return (value == pid.value());
	}
	
	public static PeerID peerIDfromBytes(byte[] bytes, int offset) {
		if (bytes == null) return null;
		if (bytes.length < 4+offset) return null;

                return new PeerID(Convert.bytesToInt(bytes, offset));
	}
}
