package types;

/** SearchResultReceiver interface         **/
/** should be implemented by the CUI & GUI **/

/** Whoever implements this will be able   **/
/** to receive messages that a new file    **/
/** has been found during a file search.   **/
/** To inform the SearchResultList that    **/
/** you want to get those messages, call   **/
/** DataStorage.receiveSearchMessages()    **/
/** passing your class as the parameter    **/

public interface SearchResultReceiver {
        public void receiveSearchMessage();
}
